Bug 610066 - OOo calc, writer "snap" to top of screen
OOo calc, writer "snap" to top of screen
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 09:43 EDT by Horst H. von Brand
Modified: 2010-08-10 06:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-10 06:13:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2010-07-01 09:43:28 EDT
Description of problem:
Starting oowriter or oocalc snaps them to the top of the screen (their menubar is hidden by Gnome). Trying to move them snaps them back in place

Version-Release number of selected component (if applicable):
openoffice.org-calc-3.2.1-19.18.fc14.x86_64

How reproducible:
Always

Steps to Reproduce:
1. oocalc
2. Try to move it from its lower Gnome bar thingy
3.
  
Actual results:
Top of screen; snaps back into place after moving

Expected results:
Decent placement, be able to movce the window

Additional info:
Comment 1 David Tardon 2010-07-01 10:19:15 EDT
Works fine here. Maybe it's a configuration problem? Move ~/.openoffice.org away and try again.
Comment 2 Horst H. von Brand 2010-07-01 20:30:25 EDT
Yep, that fixed it. Sorry for the noise.

BTW, I don't remember messing with OOo's configuration _at all_.
Comment 3 Horst H. von Brand 2010-07-19 13:35:49 EDT
It came back... I configured oocalc to use Spanish/Chile, and now it again gets stuck at the top of the screen.
Comment 4 Caolan McNamara 2010-07-20 07:21:26 EDT
I don't have any such problems myself with stock metacity. Are you using something else, or are desktop effects enabled, i.e. compiz
Comment 5 Horst H. von Brand 2010-07-23 10:13:53 EDT
I've got Gnome on Openbox.

But with the latest round of OOo updates (e.g. openoffice.org-calc-3.3.0-1.3.fc14.x86_64) it seems to have gone away. Just updating to 3.3.0-1.5.fc14 right now...
Comment 6 Bug Zapper 2010-07-30 08:22:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Caolan McNamara 2010-08-10 06:13:03 EDT
Logged in with openbox on x86_64 F-14, played with calc, didn't see any problems. Does this still happen for you ?

Its possible I guess that there's a problem with openbox with a -1 x,y value which can happen IIRC as default locations for some windows, but blowing away my config to return to defaults doesn't show any problems either.

Note You need to log in before you can comment on or make changes to this bug.